/**
 * XActMoodEvnOrdPrmsPrp2.java
 *
 * File generated from the medication2::XActMoodEvnOrdPrmsPrp2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodEvnOrdPrmsPrp2.
 *
 * 
 */

@XmlType(name = "XActMoodEvnOrdPrmsPrp")
@XmlEnum
@XmlRootElement(name = "XActMoodEvnOrdPrmsPrp2")
public enum XActMoodEvnOrdPrmsPrp2 {
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XActMoodEvnOrdPrmsPrp2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActMoodEvnOrdPrmsPrp2 fromValue(String v) {
        for (XActMoodEvnOrdPrmsPrp2 c: XActMoodEvnOrdPrmsPrp2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
